Subject: Re: I-D Action: draft-bonica-6man-unrecognized-opt-03.txt

From: Brian E Carpenter <[email-masked]>
Date: Fri, 10 Aug 2018 08:29:34 +1200

> 
>    o  Option Data - MUST be set to zero on transmission.

I still think this is wrong. To repeat my reasoning:
if the path includes compression, the option data will be compressed,
and therefore if the compressed part of the path has a limited MTU,
the packet may succeed as a result of the compression when an
uncompressed packet would be dropped.

I think it would be better to send pseudo-random option data,
in order to reduce the effect of compression.

Regards
   Brian